module CQuery
    implicit none 
    public GetCurrentProcessorNumber
 
    interface
 
        function GetCurrentProcessorNumber() bind(C,Name='GetCurrentProcessorNumber')
            use ifwinty
            implicit none
            !DEC$ ATTRIBUTES STDCALL :: GetCurrentProcessorNumber
            integer(DWORD) :: GetCurrentProcessorNumber   
        end function GetCurrentProcessorNumber
 
    end interface
    
    contains
end module CQuery